[arch-commits] Commit in python-doublex/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Apr 10 20:11:46 UTC 2019


    Date: Wednesday, April 10, 2019 @ 20:11:38
  Author: felixonmars
Revision: 450910

archrelease: copy trunk to community-any

Added:
  python-doublex/repos/community-any/PKGBUILD
    (from rev 450909, python-doublex/trunk/PKGBUILD)
Deleted:
  python-doublex/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  104 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-10 20:11:12 UTC (rev 450909)
+++ PKGBUILD	2019-04-10 20:11:38 UTC (rev 450910)
@@ -1,52 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-doublex
-pkgname=('python-doublex' 'python2-doublex')
-pkgver=1.9.1
-pkgrel=1
-pkgdesc="Powerful test doubles framework for Python"
-arch=('any')
-license=('GPL')
-url="https://github.com/davidvilla/python-doublex"
-makedepends=('python-setuptools' 'python2-setuptools' 'python-pyhamcrest' 'python2-pyhamcrest')
-checkdepends=('python-nose' 'python2-nose')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/davidvilla/python-doublex/archive/v$pkgver.tar.gz")
-sha512sums=('de0bab7e2f889baff10c2596427bc72611878a5539bebbd4ef570a964d21dc88dabc651c5e510eeb7dabe4ca80bca705095c5740de518e3f01221dc29e29273a')
-
-prepare() {
-  cp -a python-doublex-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/python-doublex-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/python-doublex-$pkgver-py2
-  python2 setup.py build
-}
-
-check() { (
-  cd "$srcdir"/python-doublex-$pkgver
-  python setup.py test
-
-  cd "$srcdir"/python-doublex-$pkgver-py2
-  python2 setup.py test
-  ) || warning "Tests failed as expected"
-}
-
-package_python-doublex() {
-  depends=('python-pyhamcrest')
-
-  cd python-doublex-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  rm "$pkgdir"/usr/README.rst
-}
-
-package_python2-doublex() {
-  depends=('python2-pyhamcrest')
-
-  cd python-doublex-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  rm "$pkgdir"/usr/README.rst
-}

Copied: python-doublex/repos/community-any/PKGBUILD (from rev 450909, python-doublex/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-04-10 20:11:38 UTC (rev 450910)
@@ -0,0 +1,52 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-doublex
+pkgname=('python-doublex' 'python2-doublex')
+pkgver=1.9.2
+pkgrel=1
+pkgdesc="Powerful test doubles framework for Python"
+arch=('any')
+license=('GPL')
+url="https://github.com/davidvilla/python-doublex"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-pyhamcrest' 'python2-pyhamcrest')
+checkdepends=('python-nose' 'python2-nose')
+source=("$pkgbase-$pkgver.tar.bz2::https://bitbucket.org/DavidVilla/python-doublex/get/v$pkgver.tar.bz2")
+sha512sums=('0cbcedeb46bd0dce807360bab5f8ac8d0a3e0eb8b5bdd7381499a1da236fbbfd21f0a53ece6eb24c387c9d96c9735ee56693ce95d445ef4f59873140388bc6a7')
+
+prepare() {
+  mv DavidVilla-python-doublex-* python-doublex-$pkgver
+  cp -a python-doublex-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/python-doublex-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/python-doublex-$pkgver-py2
+  python2 setup.py build
+}
+
+check() { (
+  cd "$srcdir"/python-doublex-$pkgver
+  python setup.py test
+
+  cd "$srcdir"/python-doublex-$pkgver-py2
+  python2 setup.py test
+  ) || warning "Tests failed as expected"
+}
+
+package_python-doublex() {
+  depends=('python-pyhamcrest')
+
+  cd python-doublex-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  rm "$pkgdir"/usr/README.rst
+}
+
+package_python2-doublex() {
+  depends=('python2-pyhamcrest')
+
+  cd python-doublex-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  rm "$pkgdir"/usr/README.rst
+}


More information about the arch-commits mailing list